* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family:Archivo; 
    src: url("fonts/Archivo-Regular.woff;");
}

@font-face {
    font-family:Aileron; 
    src: url("fonts/Aileron-Regular.otf");
}

@font-face {
    font-family:Aldrich; 
    src: url("fonts/Aldrich-Regular.ttf");
}

@font-face {
    font-family:Quantico; 
    src: url("fonts/Quantico-Regular.ttf");
}

@font-face {
    font-family:Play; 
    src: url("fonts/Play-Regular.ttf");
}

@font-face {
    font-family:Bootstrap; 
    src: url("fonts/bootstrap-icons.woff");
}

@font-face {
    font-family:RussoOne; 
    src: url("fonts/RussoOne-Regular.ttf");
}

body {
    font-family: Play, sans-serif;
    background-color: white;
}

.videos {
    max-width: 1500px;
    margin: 0 auto;
    padding: 20px;
    display: grid;
    gap: 20px;
    margin-bottom: 20px;
    grid-template-columns: 1fr 1fr;
}

.recent {
    max-width: 750px;
    margin: 0 auto;
    padding: 20px;
    display: grid;
    gap: 20px;
    margin-bottom: 20px;
    grid-template-columns: 1fr;
}

.panelists {
    max-width: 900px;
    margin: 0 auto;
    padding: 20px;
    display: grid;
    align-items: stretch;
    gap: 20px;
    margin-bottom: 20px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.panelistContainer {
    display: flex;
    flex-direction: column;
    background-color: white;
    padding: 20px;
    border-radius: 0px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    text-align: center;
    height: 100%;
    transition: background-color 0.3s ease;
}

.panelistContainer:hover {
    background-color: #f2f2f2;
}

.panelistContainer a {
    display: block;
    text-decoration: none;
    color: black;
}

.panelists a{
    color: black;
    font-family: 'Aileron', sans-serif;
    text-decoration: none;
    transition: color 0.3s ease;
}

.panelists a:hover{
    color: #0a7aa0;
    
}

.panelistContainer img {
    max-width: 100%;
    height: auto;
    display: block;
    margin-bottom: 10px;
}

.post {
    display: flex;
    flex-direction: column;
    background-color: white;
    padding: 20px;
    border-radius: 0px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.post h2 {
    color: black;
    margin-bottom: 10px;
}

.post a{
    color: black;
    text-decoration: none;
}

.post a h2:hover{
    color: #0a7aa0;
}

.post img {
    max-width: 100%;
    height: auto;
    display: block;
    margin-bottom: 5px;
}

.post-date {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 15px;
    color: slategray;
    font-size: 14px;
    margin-top: auto;
}

.post-date::before {
    font-family: 'Bootstrap';
    content: "\F1F6";
}

header {
    background-color: white;
    padding: 20px 0;
    text-align: center;
}

.logo-container {
    max-width: 1500px;
    margin: 0 auto;
    padding: 0 20px;
}

.welcome-container {
    max-width: 1500px;
    margin: 0 auto;
    padding: 0;
    text-align: center;
}

.about-container {
    max-width: 1500px;
    margin: 0 auto;
    padding: 0;
    text-align: left;
}

.about-container h2{
    color: black;
    font-family: 'Archivo', sans-serif;
    font-weight: normal;
}

.about-container a{
    color: #0a7aa0;
    font-family: 'Archivo', sans-serif;
    font-weight: normal;
    text-decoration: underline;
    transition: color 0.3s ease;
}
.about-container a:hover{
    color: #032d3d;
}

.support-container {
    max-width: 1500px;
    margin: 0 auto;
    padding: 0;
    text-align: left;
    font-family: 'Quantico', sans-serif;
    font-weight: normal;
    font-size: 22px;
}

.support-container a{
    color: #0a7aa0;
    text-decoration: underline;
    transition: color 0.3s ease;
}

.support-container a:hover{
    color: #032d3d;
}

.support-banner{
    max-width: 1500px;
    margin: 0 auto;
    padding: 0 0 20px 0;
    text-align: center;
}

.logo {
    max-width: 50%;
    height: auto;
}

nav {
    background-color: #032d3d;
    padding: 0;
    margin: 20px auto 0;
    position: sticky;
    top: 0;
    z-index: 100;
    max-width: 1500px;
    border-radius: 0px;
    font-family: RussoOne, sans-serif;
    font-weight: normal;
    font-size: 24px;
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0;
}

nav li {
    margin: 0;
}

nav a {
    display: block;
    color: white;
    text-decoration: none;
    padding: 5px 20px;
    transition: background-color 0.3s ease;
}

nav a:hover {
    background-color: #0a7aa0;
}

h1{
    font-family: 'Quantico', sans-serif;
}

p{
    font-family: 'Aileron', sans-serif;
    color: #777;
    margin-top: auto;
}

@media (max-width: 768px) {

    .videos {
        padding: 10px;
        grid-template-columns: 1fr;
    }

    .welcome-container iframe {
        max-width: 90%;
        height: auto;
        aspect-ratio: 560 / 315;
    }
    .panelists{
        padding: 10px;
        grid-template-columns: 1fr 1fr 1fr;
    }

    .post {
        padding: 15px;
    }

    .post h2 {
        font-size: 20px;
    }

    .panelistContainer {
        padding: 15px;
    }

    .panelistContainer h2 {
        font-size: 16px;
    }

    .about-container{
        padding: 10px;
    }

    .about-container h2{
        font-size: 16px;
    }

    .support-container {
        font-size: 16px;
    }

    h1 {
        font-size: 28px;
        margin-bottom: 20px;
    }

    nav{
        font-size: 16px;
    }

    nav ul {
        flex-wrap: wrap;
    }
    
    nav a {
        padding: 5px 15px;
        font-size: 16px;
    }
}

@media (min-width: 769px) {
    h1 {
        font-size: 32px;
    }

    .post h2 {
        font-size: 24px;
    }

    .panelistContainer h2 {
        font-size: 22px;
    }

    .about-container h2{
        font-size: 24px;
    }
}